JBoss API: Class StatefulHandleImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp.interfaces
Class StatefulHandleImpl

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.AbstractHandle
            |
            +--org.jboss.ejb.plugins.jrmp.interfaces.StatefulHandleImpl

All Implemented Interfaces:
  javax.ejb.Handle, java.io.Serializable

public class StatefulHandleImpl
extends AbstractHandle
implements javax.ejb.Handle

An EJB stateful session bean handle.

Version:
  $Revision: 1.6.4.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), <jason@planet57.com>
See Also:
  Serialized Form

Field Summary
`protected static java.lang.reflect.Method` | `GET_EJB_OBJECT` A reference to `Handle.getEJBObject()`.
`protected java.lang.Object` | `id` The identity of the bean.

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.AbstractHandle
`initialContextHandle, name`

Constructor Summary
`StatefulHandleImpl(InitialContextHandle handle, java.lang.String name, java.lang.Object id)` Construct a `StatefulHandleImpl`.

Method Summary
`javax.ejb.EJBObject` | `getEJBObject()` Handle implementation.

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.AbstractHandle
`createInitialContext, getEJBObject, lookupEJBHome`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GET_EJB_OBJECT

    protected static final java.lang.reflect.Method GET_EJB_OBJECT

  A reference to `Handle.getEJBObject()`.

### id

    protected final java.lang.Object id

  The identity of the bean.

Constructor Detail

### StatefulHandleImpl

    public StatefulHandleImpl(InitialContextHandle handle,
                              java.lang.String name,
                              java.lang.Object id)

  Construct a `StatefulHandleImpl`.
  Parameters:
    `handle` - The initial context handle that will be used to restore the naming context or null to use a fresh InitialContext object.
    `name` - JNDI name.
    `id` - Identity of the bean.

Method Detail

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()
                                     throws java.rmi.RemoteException

  Handle implementation.
  Specified by:
    `getEJBObject` in interface `javax.ejb.Handle`
  Returns:
    `EJBObject` reference.
  Throws:
    `java.rmi.ServerException` - Could not get EJBObject.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.